EDIT - bug #7478

Fix pro parte synonym search
06/15/2018 01:16 PM - Andreas Mdller

Status: Resolved Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.1

Severity: normal Found in Version:

Description

Since pro parte synonyms are now pure taxon relationships (like misapplied names) the synonym search needs to be adapted to
include pro parte and partial synonyms.

This needs to be done in both standard search and lucene search.

Probably we only need to adapt search such that the search of relationships types searched for is adapted depending on
"doMisapplied" and "doSynonyms".

Related issues:

Related to EDIT - feature request #7417: Make pro parte and partial synonymr... Closed

Related to EDIT - bug #7486: Fulltext taxon and name search not correct for S... Closed

Related to EDIT - bug #7487: Full text misapplied name search with area filte... Resolved 05/30/2022 06/03/2022
Related to EDIT - feature request #7501: Deduplicate MANs and pro parte synon... New

Follows EDIT - feature request #7334: Make pro parte and partial synonyms rea... Closed

Copied to EDIT - bug #8620: Improve pro parte synonym search result for datap... New

Associated revisions

Revision 5¢379961 - 06/16/2018 07:41 PM - Andreas Miiller

rel #7478 implement pro parte synonym search in free text taxon and name search

Revision 2a95430a - 06/20/2018 12:05 PM - Andreas Miiller

ref #7478 fix pro parte synonym search in taxon hql search (still untested)

Revision d4e06699 - 06/20/2018 12:38 PM - Andreas Miiller

ref #7478 some cleanup and renaming for taxon hql search

Revision 7aac0891 - 06/20/2018 01:42 PM - Andreas Miiller
ref #7478 simplify taxon hgl search code

Revision 0df21dfd - 06/20/2018 10:46 PM - Andreas Miiller
ref #7478 add test to pro parte hgl search

History

#1 - 06/15/2018 01:16 PM - Andreas Miiller
- Due date set to 03/29/2018
- Start date changed from 06/15/2018 to 03/29/2018

- Follows feature request #7334: Make pro parte and partial synonyms real concept relationships added

#2 - 06/15/2018 01:25 PM - Andreas Miuller

- Related to feature request #7417: Make pro parte and partial synonym relationships always visible in data portals added

#3 - 06/15/2018 01:25 PM - Andreas Miuller

- Subject changed from Pro parte synonym search to Fix pro parte synonym search
- Due date deleted (03/29/2018)
- Start date changed from 03/29/2018 to 06/15/2018

#4 - 06/16/2018 05:30 PM - Andreas Miiller

- Related to bug #7486: Fulltext taxon and name search not correct for Synonym based queries added

#5 - 06/16/2018 07:44 PM - Andreas Miuller

- Related to bug #7487: Full text misapplied name search with area filter uses fixed relation type uuid added

#6 - 06/19/2018 03:49 PM - Andreas Miiller

- Status changed from New to In Progress

#7 - 06/19/2018 05:05 PM - Andreas Miiller
- Related to feature request #7501: Deduplicate MANs and pro parte synonyms in portal results added

#8 - 06/27/2018 02:36 PM - Andreas Miiller

- Status changed from In Progress to Resolved

probably there are open issues that need to be moved to a new ticket.

#9 - 10/25/2019 12:46 PM - Andreas Miiller
- Copied to bug #8620: Improve pro parte synonym search result for dataportal added

#10 - 10/25/2019 12:55 PM - Andreas Miiller

Generally it looks like pro parte synonyms can be searched for but the result in the dataportal is not nice. New ticket for this: #8620

#11 - 05/21/2022 12:40 PM - Andreas Miiller

- Tags changed from euro+med to euro+med, lucene
https://dev.e-taxonomy.eu/redmine/issues/8620
http://www.tcpdf.org

